spaar's Mod Loader (1.7.1) [Besiege v0.45a]

does the modloader work not for multiverse but just for the levels? id like to use spaars mod loader to use exploding cannonball mod for midlands encampment (level 9)
The mod loader does not work with the Multiverse update in general. Trying to install it will just result in a broken Besiege, so it's not possible to use it on levels either (except when going back to previousbuild of course).
 
The mod loader does not work with the Multiverse update in general. Trying to install it will just result in a broken Besiege, so it's not possible to use it on levels either (except when going back to previousbuild of course).
oh ok, i misunderstood thanks sir, is it permanently broken or does it just have to be update?
 
ok, but the only thing i would like to know is why? Why is it taking so long? I'm not here to make pressure of course, it's only to know what's happening
Well, the multiverse update has changed a lot of things internally. Making mods work with all the new stuff is not exactly easy. In addition, I don't have quite as much time to work on this anymore as I used to have since I started university.
 
Well, the multiverse update has changed a lot of things internally. Making mods work with all the new stuff is not exactly easy. In addition, I don't have quite as much time to work on this anymore as I used to have since I started university.
Ok, and good luck for your University
 
Why i c'ant CTRL + M ?
Without any further information it's impossible to tell, but presumably it's because you either didn't install the mod loader correctly, or because you're trying to use it on a recent Besiege version with multiplayer support. Please read the main post and the title carefully, especially the part about what Besiege version can be used. If you still have trouble after that (and are sure you're using Besiege v0.45), post the output_log.txt file from the Besiege_Data/ folder.
 
Without any further information it's impossible to tell, but presumably it's because you either didn't install the mod loader correctly, or because you're trying to use it on a recent Besiege version with multiplayer support. Please read the main post and the title carefully, especially the part about what Besiege version can be used. If you still have trouble after that (and are sure you're using Besiege v0.45), post the output_log.txt file from the Besiege_Data/ folder.

I was wrong: I currently have the 0.65 version of besiege. How can I go back to 0.45?
 
Hey so I tried downloading this, but Windows Defender is finding a trojan. Can this be fixed? This is a new development for me, and I am not installing something being called a trojan lol.
 
Hey so I tried downloading this, but Windows Defender is finding a trojan. Can this be fixed? This is a new development for me, and I am not installing something being called a trojan lol.
I can't really do anything about what a specific AV program does unfortunately. The installer does things that AV programs sometimes don't like, e.g. messing with files of another program and replacing them with stuff downloaded from the internet; but since this is the whole purpose of the installer there's no way around it.

Maybe this will reassure you: On Virustotal, none of the AV programs have detected anything malicious in the installer file. Feel free to upload it again yourself to verify.

If you have any programming knowledge, the whole project is open-source and hosted on GitHub. Feel free to read the code and even do your own build.

I'm afraid I can't offer more than that, ultimately it's your choice whether that's enough for you.
 
Hello i saw somewhere that i have to install old version of besiege but when i do "Properties" and "BETA" i have one bar to write an access code and one button for choose a beta program and this button is blocked. Am I in wrong window or something dont work correctly ?
 
Hello i saw somewhere that i have to install old version of besiege but when i do "Properties" and "BETA" i have one bar to write an access code and one button for choose a beta program and this button is blocked. Am I in wrong window or something dont work correctly ?
The main cause for that button being blocked that I've seen is that the game is currently running. This is unfortunately not made obvious at all by Steam, but you can only use the Beta dropdown when the game is not running (and Steam agrees that the game is not running).
 
Top